Package com.xebialabs.xlrelease.domain.events

# Class PhaseFailedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.PhaseFailedEvent

All Implemented Interfaces:
  `PhaseEvent`, `PhaseExecutionEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class PhaseFailedEvent extends Object implements PhaseExecutionEvent, scala.Product, Serializable
Event published when a phase has failed. param: phase instance of the phase.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhaseFailedEvent(Phase phase)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PhaseFailedEvent`
  `apply(Phase phase)`
  `boolean`
  `canEqual(Object x$1)`
  `PhaseFailedEvent`
  `copy(Phase phase)`
  `Phase`
  `copy$default$1()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `Phase`
  `phase()`
  The phase of which status has changed.
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `toString()`
  `static scala.Option<Phase>`
  `unapply(PhaseFailedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

  ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

  `timeMs, timestamp`

- ## Constructor Details

  - ### PhaseFailedEvent

    public PhaseFailedEvent(Phase phase)

- ## Method Details

  - ### apply

    public static PhaseFailedEvent apply(Phase phase)

  - ### unapply

    public static scala.Option<Phase> unapply(PhaseFailedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### phase

    public Phase phase()
    Description copied from interface: `PhaseExecutionEvent`
    The phase of which status has changed.
    Specified by:
      `phase` in interface `PhaseExecutionEvent`
    Returns:
      (undocumented)

  - ### copy

    public PhaseFailedEvent copy(Phase phase)

  - ### copy$default$1

    public Phase copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`